#! /bin/sh

echo ""
echo "Sauvegarde de miniflux"

# Backup the database
echo "Dump de la base de données"
PGPASSWORD=$MF_DBPASSWD pg_dump -h $MF_DBHOST -d $MF_DBNAME -p $MF_DBPORT -U $MF_DBUSER > $BACKUP_LOCATION/miniflux-$DATE

# Compress backup
echo "Compression de la sauvegarde"
gzip -f $BACKUP_LOCATION/miniflux-$DATE
echo "Fichier enregistré dans dans $BACKUP_LOCATION/miniflux-$DATE.gz"

echo "Sauvegarde terminée !"
