#! /bin/sh

echo ""
echo "Sauvegarde de prosody"

# Backup the database
echo "Dump de la base de données"
PGPASSWORD=$PROSODY_DBPASSWD pg_dump -h $PROSODY_DBHOST -d $PROSODY_DBNAME -p $PROSODY_DBPORT -U $PROSODY_DBUSER > $BACKUP_LOCATION/prosody-$DATE

# Compress backup
echo "Compression de la sauvegarde"
gzip -f $BACKUP_LOCATION/prosody-$DATE
echo "Fichier enregistré dans dans $BACKUP_LOCATION/prosody-$DATE.gz"

echo "Sauvegarde terminée !"
